#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x5d5aad80, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x4391fe40, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x02c93b19, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x1c42c21f, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x65c84374, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xde513f84, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xb9c060d9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x54954eb9, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0xbf6199b4, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x37f27015, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0xa6ad25c1, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x8d067999, "");
SYMBOL_CRC(rtw89_pm_ops, 0x8cfdf02f, "");
SYMBOL_CRC(rtw89_pci_probe, 0xec454183, "");
SYMBOL_CRC(rtw89_pci_remove, 0x2ff47b35, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x41eae2d9, "pcie_capability_read_word" },
	{ 0xfde0e201, "pci_find_ext_capability" },
	{ 0x28ae46a5, "rtw89_alloc_ieee80211_hw" },
	{ 0x8dea484b, "devm_request_threaded_irq" },
	{ 0x436e212e, "pci_enable_device" },
	{ 0xcb4afc81, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5dc88d, "consume_skb" },
	{ 0x60777975, "pci_iomap" },
	{ 0xc9c70658, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0x1185d95d, "skb_dequeue" },
	{ 0x93bd60e, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x298bce77, "dma_sync_single_for_device" },
	{ 0x133c2f61, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf669354d, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x320e4c6e, "rtw89_core_napi_init" },
	{ 0xe6392f55, "rtw89_core_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3462b342, "dev_driver_string" },
	{ 0xbf6c70e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc66823f2, "dma_map_page_attrs" },
	{ 0xc7191722, "napi_complete_done" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x9b90d8eb, "devm_free_irq" },
	{ 0xdef2ca67, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbae94a66, "_dev_info" },
	{ 0x26ecf55d, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3f58018b, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xdc5e7fa0, "_dev_err" },
	{ 0xaf2fbadf, "rtw89_core_query_rxdesc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9cdd2174, "rtw89_core_napi_deinit" },
	{ 0x4084423a, "skb_push" },
	{ 0xaf8c6a6e, "dma_alloc_attrs" },
	{ 0x87689fca, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xae1d48f8, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9543b78a, "pci_iounmap" },
	{ 0xa07a6d09, "dma_sync_single_for_cpu" },
	{ 0xe3f57b04, "rtw89_debug_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x55d57373, "_dev_warn" },
	{ 0x73446306, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab05d19f, "ieee80211_tx_status" },
	{ 0x9e2c4188, "rtw89_ser_notify" },
	{ 0xcde4339f, "__netdev_alloc_skb" },
	{ 0xd5fe6976, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc5fc6e5a, "dma_set_coherent_mask" },
	{ 0x874fd461, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa8a70f2e, "dma_free_attrs" },
	{ 0x85f1d699, "rtw89_core_rx" },
	{ 0x669b44eb, "param_ops_bool" },
	{ 0x7e075e0e, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd5c70d98, "rtw89_core_deinit" },
	{ 0x9b168ca4, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xac8141ff, "pci_disable_device" },
	{ 0x31e51600, "dma_set_mask" },
	{ 0xcf3a9020, "napi_schedule_prep" },
	{ 0x7a020580, "pci_read_config_byte" },
	{ 0xb799e120, "dev_kfree_skb_any_reason" },
	{ 0xd2e74669, "__rtw89_debug" },
	{ 0xc22a1c75, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x49bf6cba, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaba6533f, "rtw89_chip_info_setup" },
	{ 0xf90c8633, "rtw89_mac_get_err_status" },
	{ 0x18ea8c9e, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "E210D642D2C0A8681B0B2B8");

MODULE_INFO(suserelease, "SLE15-SP6");
